## org.eclipse.datatools.sqltools.sqleditor.internal.actions
Class SQLInformationProvider

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.actions.SQLInformationProvider

All Implemented Interfaces:
  org.eclipse.jface.text.information.IInformationProvider, org.eclipse.jface.text.information.IInformationProviderExtension2

    public class SQLInformationProvider

extends java.lang.Object
implements org.eclipse.jface.text.information.IInformationProvider, org.eclipse.jface.text.information.IInformationProviderExtension2

Author:
  Hui Cao

Constructor Summary
`SQLInformationProvider(org.eclipse.ui.IEditorPart editor)`

Method Summary
`java.lang.String` `getInformation(org.eclipse.jface.text.ITextViewer textViewer, org.eclipse.jface.text.IRegion subject)`
`org.eclipse.jface.text.IInformationControlCreator` `getInformationPresenterControlCreator()`
`org.eclipse.jface.text.IRegion` `getSubject(org.eclipse.jface.text.ITextViewer textViewer, int offset)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLInformationProvider

    public SQLInformationProvider(org.eclipse.ui.IEditorPart editor)

Method Detail

### getSubject

    public org.eclipse.jface.text.IRegion getSubject(org.eclipse.jface.text.ITextViewer textViewer,
                                                     int offset)

  Specified by:
    `getSubject` in interface `org.eclipse.jface.text.information.IInformationProvider`

### getInformation

    public java.lang.String getInformation(org.eclipse.jface.text.ITextViewer textViewer,
                                           org.eclipse.jface.text.IRegion subject)

  Specified by:
    `getInformation` in interface `org.eclipse.jface.text.information.IInformationProvider`

### getInformationPresenterControlCreator

    public org.eclipse.jface.text.IInformationControlCreator getInformationPresenterControlCreator()

  Specified by:
    `getInformationPresenterControlCreator` in interface `org.eclipse.jface.text.information.IInformationProviderExtension2`